Loading...
Searching...
No Matches
wind_format.c File Reference

GIS Library - Window formatting functions. More...

`#include <stdio.h>`
`#include <grass/gis.h>`
Include dependency graph for wind_format.c:

Go to the source code of this file.

## Functions

void | G_format_northing (double north, char *buf, int projection)
| Northing to ASCII.
void | G_format_easting (double east, char *buf, int projection)
| Easting to ASCII.
void | G_format_resolution (double res, char *buf, int projection)
| Resolution to ASCII.

## Detailed Description

GIS Library - Window formatting functions.

(C) 2001-2009 by the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Original author CERL

Definition in file wind_format.c.

## Function Documentation

## G_format_easting()

void G_format_easting | ( | double | east,
|  | char * | buf,
|  | int | projection )

Easting to ASCII.

Converts the double representation of the east coordinate to its ASCII representation (into buf).

Parameters

  | east | easting
  [out] | buf | buffer to hold formatted string
  | projection | projection code, or -1 to force full precision FP

Definition at line 49 of file wind_format.c.

References FALSE, G_lon_format(), and TRUE.

Referenced by G__write_Cell_head(), and G_get_3dview().

## G_format_northing()

void G_format_northing | ( | double | north,
|  | char * | buf,
|  | int | projection )

Northing to ASCII.

Converts the double representation of the north coordinate to its ASCII representation (into buf).

Parameters

  | north | northing
  [out] | buf | buffer to hold formatted string
  | projection | projection code, or -1 to force full precision FP

Definition at line 29 of file wind_format.c.

References FALSE, G_lat_format(), and TRUE.

Referenced by G__write_Cell_head(), and G_get_3dview().

## G_format_resolution()

void G_format_resolution | ( | double | res,
|  | char * | buf,
|  | int | projection )

Resolution to ASCII.

Converts the double representation of the resolution to its ASCII representation (into buf).

Parameters

  | res | resolution value
  [out] | buf | buffer to hold formatted string
  | projection | projection code, or -1 to force full precision FP

Definition at line 69 of file wind_format.c.

References FALSE, G_llres_format(), and TRUE.

Referenced by G__write_Cell_head(), and G__write_Cell_head3().